summaryrefslogtreecommitdiffstats
path: root/ubuntu/maverick/metapackages/trinity-keyring/debian/postinst
diff options
context:
space:
mode:
Diffstat (limited to 'ubuntu/maverick/metapackages/trinity-keyring/debian/postinst')
-rw-r--r--ubuntu/maverick/metapackages/trinity-keyring/debian/postinst32
1 files changed, 29 insertions, 3 deletions
diff --git a/ubuntu/maverick/metapackages/trinity-keyring/debian/postinst b/ubuntu/maverick/metapackages/trinity-keyring/debian/postinst
index fa0073eba..1da9ae7ae 100644
--- a/ubuntu/maverick/metapackages/trinity-keyring/debian/postinst
+++ b/ubuntu/maverick/metapackages/trinity-keyring/debian/postinst
@@ -1,5 +1,31 @@
#!/bin/sh
+# postinst script for trinity-keyring
-if [ -x /usr/bin/apt-key ]; then
- /usr/bin/apt-key add /usr/share/keyrings/trinity-keyring.gpg
-fi
+set -e
+
+case "$1" in
+ configure)
+ if [ -x /usr/bin/apt-key ]; then
+ # Key F5CFC95C (2014.06.08)
+ apt-key add /usr/share/keyrings/trinity-keyring.gpg > /dev/null
+
+ # Key 2B8638D0 (2010.06.15)
+ apt-key del 2B8638D0 2> /dev/null || true
+ fi
+ ;;
+
+ remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0